| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Galil Connect
C (Legacy)

Host or connect to a remote gcaps instance. More...

## Functions
GCLIB_DEPRECATED GReturn | GSetServer (GCStringIn server_name)
| Uses GUtility(), G_UTIL_GCAPS_SET_SERVER to set the new active server.
GCLIB_DEPRECATED GReturn | GListServers (GCStringOut servers, GSize servers_len)
| Uses GUtility(), G_UTIL_GCAPS_LIST_SERVERS to provide a list of all available gcaps services on the local network.
GCLIB_DEPRECATED GReturn | GPublishServer (GCStringIn name, GOption publish, GOption save)
| Uses GUtility(), G_UTIL_GCAPS_PUBLISH_SERVER to publish local gcaps server to the local network.
GCLIB_DEPRECATED GReturn | GServerStatus (GCStringOut status, GSize status_len)
| Uses GUtility(), G_UTIL_GCAPS_SERVER_STATUS to get information on the local server name and if it is published to the local network.
GCLIB_DEPRECATED GReturn | GRemoteConnections (GCStringOut connections, GSize connections_length)
| Uses GUtility(), G_UTIL_GCAPS_REMOTE_CONNECTIONS to get a list of remote addresses connected to the local server.

## Detailed Description

Host or connect to a remote gcaps instance.

## Function Documentation

## ◆ GSetServer()

GCLIB_DEPRECATED GReturn GSetServer | ( | GCStringIn | server_name | ) |

Uses GUtility(), G_UTIL_GCAPS_SET_SERVER to set the new active server.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release. Use gclib_set_server() instead.

Note
  This function is only available on Windows 10 and Linux.

Parameters

  server_name | The name of the server to set as your new active server.

Use this function in conjunction with GListServers(). Choose a name received from GListServers() to set as your new active server.

After setting a new active server, all gclib calls will route through that new active server, unless explicitly noted otherwise.

To set your active server back to your local server, simply pass "Local" to GSetServer():

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.

## ◆ GListServers()

GCLIB_DEPRECATED GReturn GListServers | ( | GCStringOut | servers,
|  | GSize | servers_len )

Uses GUtility(), G_UTIL_GCAPS_LIST_SERVERS to provide a list of all available gcaps services on the local network.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release. Use gclib_list_servers() instead.

Note
  This function is only available on Windows 10 and Linux.

Parameters

  servers | The buffer to hold the list of available gcaps servers
  servers_len | The length of the servers buffer

This function is used to find a list of available gcaps servers that have made themselves "Discoverable".

The list of available servers are separated by a newline '\n' character.

Attention
  This function will always use your local gcaps server, regardless of which server you have set as your active server.

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.

## ◆ GPublishServer()

GCLIB_DEPRECATED GReturn GPublishServer | ( | GCStringIn | name,
|  | GOption | publish,
|  | GOption | save )

Uses GUtility(), G_UTIL_GCAPS_PUBLISH_SERVER to publish local gcaps server to the local network.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release. Use gclib_set_published() instead.

Note
  This function is only available on Windows 10 and Linux.

Parameters

  name | The name of the server to publish or remove
  publish | Option to publish or remove server from network
  save | Option to save this configuration for future reboots

This function is used to make your local gcaps server "Discoverable" or "Invisible"

publish Option:
Set to 1 to publish server to the network and make "Discoverable"
Set to 0 to remove server from the network and make "Invisible"

save Option:
Set to 1 to save the configuration for future reboots of the server
Set to 0 to use this configuration once, and not overwrite previous server settings

Attention
  This function will always use your local gcaps server, regardless of which server you have set as your active server.

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.

## ◆ GServerStatus()

GCLIB_DEPRECATED GReturn GServerStatus | ( | GCStringOut | status,
|  | GSize | status_len )

Uses GUtility(), G_UTIL_GCAPS_SERVER_STATUS to get information on the local server name and if it is published to the local network.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release. Use gclib_server() instead.

Note
  This function is only available on Windows 10 and Linux.

Parameters

  status | The buffer to hold the status of the local gcaps server
  status_len | The length of the status buffer

This function is used to find the status of your local gcaps server. Use this function to determine the name your server is currently using, and whether or not your gcaps server is currently set to "Discoverable" or "Invisible"

The status buffer will be filled in the form of "[Server Name], [Discoverable]"

For example, for a server with the name "Example Server" that is set to "Discoverable", the status buffer would contain "Example Server, true".

Attention
  This function will always use your local gcaps server, regardless of which server you have set as your active server.

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.

## ◆ GRemoteConnections()

GCLIB_DEPRECATED GReturn GRemoteConnections | ( | GCStringOut | connections,
|  | GSize | connections_length )

Uses GUtility(), G_UTIL_GCAPS_REMOTE_CONNECTIONS to get a list of remote addresses connected to the local server.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release.

Note
  This function is only available on Windows 10 and Linux.

Parameters

  connections | The buffer to hold the list of remote IP addresses currently connected to your hardware
  connections_len | The length of the connections buffer

This function is used to find a list of IP Addresses of machines that currently have open connections to your local hardware. If another user sets your local server as their active server, and then opens a connection to your hardware, their IP Address will appear in this list.

The list of IP addresses are separated by a newline '\n' character.

Attention
  This function will always use your local gcaps server, regardless of which server you have set as your active server.

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.